Subject: Re: one more... iproute commands lockup whole system

From: "Denys" <[email-masked]>
Date: Wed, 4 Apr 2007 17:35:12 +0300

Yes, it is real setup by the way, i just copy&paste script here. I tried to 
remove some commands to leave only minimum to reproduce the problem.
Right now i dont have another ethernet card on that system, i will add it 
today, when i come back home and i will test in different situations. Also it 
is interesting, how system will act when i will redirect from eth0 to ppp0, 
tunnels, device with hardware offloading to device without hardware 
offloading and etc.

On Wed, 04 Apr 2007 10:10:10 -0400, jamal wrote
> On Wed, 2007-04-04 at 15:56 +0300, Denys wrote:
> 
> > Rules:
> > tc qdisc del dev eth0.5 root
> > tc qdisc add dev eth0.5 handle 1: root htb
> > tc class add dev eth0.5 parent 1:0 classid 1:2 htb rate 128Kbit
> > 
> > tc qdisc add dev eth0.5 parent 1:2 handle 2: prio
> > 
> > tc filter add dev eth0.5 parent 1: protocol ip prio 10 u32 \
> > match ip src 195.69.208.253/32 flowid 1:2
> > 
> > tc filter add dev eth0.5 parent 2: protocol ip prio 10 u32 \
> >     match ip src 195.69.208.253/32 flowid 2:1 \
> >     action mirred egress redirect dev eth0.6
> >
> > (it is not working, but just i tried few things)
> >
> 
> This will still mean the physical device is eventually going to be 
> eth0. You are hanging, correct?
> If you redirected to another vlan ontop of a different physical
> ethernet, and the problem persists then it will be worrisome.
> Actually i am begining to doubt myself. Maybe the vlan device is acting
> strangely. I will try to test your simple setup towards the end of 
> day and see what happens.
> 
> cheers,
> jamal
> 
> -
> To unsubscribe from this list: send the line "unsubscribe netdev" in
> the body of a message to [email-masked]
> More majordomo info at  http://vger.kernel.org/majordomo-info.html

--
Denys Fedoryshchenko
Technical Manager
Virtual ISP S.A.L.